Package org.pentaho.reporting.libraries.formula.typing

# Interface Sequence

All Known Subinterfaces:
  `NumberSequence`

All Known Implementing Classes:
  `AnyNumberSequence`, `AnySequence`, `DefaultNumberSequence`

public interface Sequence
Todo: Document Me

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`Object`
`next()`
`LValue`
`nextRawValue()`

## Method Details

### hasNext

boolean hasNext() throws EvaluationException

Throws:
  `EvaluationException`

### next

Object next() throws EvaluationException

Throws:
  `EvaluationException`

### nextRawValue

LValue nextRawValue() throws EvaluationException

Throws:
  `EvaluationException`